## Global c_decor

boost::log::expressions::c_decor

## Synopsis

    // In header: <boost/log/expressions/formatters/c_decorator.hpp>

    unspecified c_decor;

## Description

C-style decorator generator object. The decorator replaces characters with specific meaning in C language with the corresponding escape sequences. The generator provides `operator[]` that can be used to construct the actual decorator. For example:

`c_decor[ stream << attr< std::string >("MyAttr") ]`

For wide-character formatting there is the similar `wc_decor` decorator generator object.